unit uMenuI;

interface
uses
  uMenu, uScene, uPage;

type
  TMenuI = class(TMenu)
    procedure Draw; override;
    constructor Create(const SceneMng : tSceneMng); //overload;
  end;

implementation
uses
  uMyApp, LexUtils, uConst, zglHeader, uMaterials;

constructor TMenuI.Create(const SceneMng : tSceneMng);
begin
  inherited Create(SceneMng);
  Page := TMenuPage.Create(WinW div 2, WinH div 2 - 128, 480, 280, $AAAAAA, Self);
  Page.Button_Ok.Text := 'ОК';
end;

{ TPagePlayer }
const
 miStr : array[1..4] of string =
 ('Игра "Защитник подземного города"',
  'разработчик: Трофимов cdmlex Алексей',
  'движок ZenGL: Andrey Kemka',
  'Для конкурса Missile Commander на IGDC.ru');

procedure TMenuI.Draw;
var
  I : Integer;
begin
  inherited;
  with Page do
  Text_DrawEx(mFont_1,
             PageX^ + pX,
             PageY^ + pY + 24, 0.98, 0,
             (miStr[1]), 230, $000055, TEXT_HALIGN_CENTER);
  with Page do
  for I := 2 to Length(miStr) do
  Text_DrawEx(mFont_1,
             PageX^ + pX,
             PageY^ + pY + 40 * I, 0.8, 0,
             (miStr[I]), 200, $111111, TEXT_HALIGN_CENTER);

end;


end.
